Bug 1302626 - CVE-2016-2090 libbsd: heap buffer overflow in fgetwln function [epel-7]
Summary: CVE-2016-2090 libbsd: heap buffer overflow in fgetwln function [epel-7]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libbsd
Version: epel7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-2090
TreeView+ depends on / blocked
 
Reported: 2016-01-28 09:58 UTC by Andrej Nemec
Modified: 2018-04-09 19:00 UTC (History)
1 user (show)

Fixed In Version: libbsd-0.8.3-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 19:00:00 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-01-28 09:58:41 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-7 tracking bug for libbsd: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-01-28 09:58:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1302622,1302626

# Description of your update
notes=Security fix for CVE-2016-2090

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1302622,1302626

Comment 2 Fedora Update System 2016-12-23 07:35:59 UTC
libbsd-0.8.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-04bc9dd81d

Comment 3 Fedora Update System 2016-12-23 14:18:23 UTC
libbsd-0.8.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-04bc9dd81d

Comment 4 Fedora Update System 2018-04-09 19:00:00 UTC
libbsd-0.8.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.